<?xml version="1.0" encoding="utf-8"?>
<!-- DWXMLSource="extension.xml" -->
<!DOCTYPE xsl:stylesheet  [
	<!ENTITY nbsp   "&#160;">
	<!ENTITY copy   "&#169;">
	<!ENTITY reg    "&#174;">
	<!ENTITY trade  "&#8482;">
	<!ENTITY mdash  "&#8212;">
	<!ENTITY ldquo  "&#8220;">
	<!ENTITY rdquo  "&#8221;"> 
	<!ENTITY pound  "&#163;">
	<!ENTITY yen    "&#165;">
	<!ENTITY euro   "&#8364;">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html" encoding="utf-8" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"/>
  <!--Include extension shared xsl-->
  <xsl:include href="../_include/extbase.xsl"/>
  <xsl:template match="/extension">
    <html>
    <head>
    <title>MediaCoder <xsl:value-of select="name"/></title>
    <link href="default.css" rel="stylesheet" type="text/css" />
	<xsl:call-template name="InitExtension"/>
	<script language="javascript">
	function onElementChange(id,value)
	{
		if (id == "audio_mode") switch (value) {
		case "ABR":
		case "CBR":
			HideItem("div_audio_quality");
			ShowItem("div_audio_bitrate");
			break;
		case "VBR":
			ShowItem("div_audio_quality");
			HideItem("div_audio_bitrate");
			break;
		}
		//alert(id+"="+value);
	}
	</script>

    </head>
    <body class="box1">
    <div style="width:590px" align="center">
      <h2>MediaCoder <xsl:value-of select="name"/></h2>
    </div>
    <div class="box1" style="position:absolute; left: 10px; width: 296px;">
      <div align="left">
        <strong>Video</strong><br />
        <div style="border:solid; height:175px">
          <ul>
            <li>Encoding mode:
			<xsl:call-template name="AddElement">
			  <xsl:with-param name="element" select="elements/element[@id='video_mode']"/>
			</xsl:call-template>
            </li>
            <li>Frame per second:
			<xsl:call-template name="AddElement">
			  <xsl:with-param name="element" select="elements/element[@id='video_fps']"/>
			</xsl:call-template>
            </li>
            <li>Quality:
			<xsl:call-template name="AddElement">
			  <xsl:with-param name="element" select="elements/element[@id='video_quality']"/>
			</xsl:call-template>
            </li>
            <li>Bitrate:
			<xsl:call-template name="AddElement">
			  <xsl:with-param name="element" select="elements/element[@id='video_bitrate']"/>
			</xsl:call-template>
            Kbps</li>
            <li>Resolution:
			<xsl:call-template name="AddElement">
			  <xsl:with-param name="element" select="elements/element[@id='resolution']"/>
			</xsl:call-template>
            </li>
            <li>Deinterlace:
			<xsl:call-template name="AddElement">
			  <xsl:with-param name="element" select="elements/element[@id='deinterlace']"/>
			</xsl:call-template>
            </li>
          </ul>
        </div>
      </div>
    </div>
    <div class="box1" style="position:absolute; left: 320px; width: 280px; height: 248px; " align="left">
      <div>
		<strong><xsl:call-template name="AddElement">
		  <xsl:with-param name="element" select="elements/element[@id='enable_audio']"/>
		</xsl:call-template>
        </strong><br />
        <div style="border:solid">
          <ul>
            <!--li>
			Mode: 
			<xsl:call-template name="AddElement">
			  <xsl:with-param name="element" select="elements/element[@id='audio_mode']"/>
			  <xsl:with-param name="option" select="elements/element[@id='audio_mode']/option[1]"/>
			</xsl:call-template>
			<xsl:call-template name="AddElement">
			  <xsl:with-param name="element" select="elements/element[@id='audio_mode']"/>
			  <xsl:with-param name="option" select="elements/element[@id='audio_mode']/option[2]"/>
			</xsl:call-template>
			<xsl:call-template name="AddElement">
			  <xsl:with-param name="element" select="elements/element[@id='audio_mode']"/>
			  <xsl:with-param name="option" select="elements/element[@id='audio_mode']/option[3]"/>
			</xsl:call-template>
			</li-->
            <li>
              <div id="div_audio_quality" style="display:none">Quality:
                <xsl:call-template name="AddElement">
                  <xsl:with-param name="element" select="elements/element[@id='audio_quality']"/>
                </xsl:call-template>
              </div>
              <div id="div_audio_bitrate">Bitrate:
                <xsl:call-template name="AddElement">
                  <xsl:with-param name="element" select="elements/element[@id='audio_bitrate']"/>
                </xsl:call-template>
              </div>
			</li>
             <li>Resampling:
			<xsl:call-template name="AddElement">
			  <xsl:with-param name="element" select="elements/element[@id='resample']"/>
			</xsl:call-template>
			</li>
          </ul>
        </div>
      </div>
	  <div style="position:absolute; width: 281px; height: 83px; top: 124px;">
      <strong>Misc.</strong>
      <div style="border:solid">
        <ul>
          <li>
			<xsl:call-template name="AddElement">
			  <xsl:with-param name="element" select="elements/element[@id='enable_subtitle']"/>
			</xsl:call-template>
		</li>
        </ul>
      </div>
	  </div>
    </div>
    <div class="btn_bg" style="position:absolute; top: 256px; left: 104px; width: 425px; height: 25px;" align="center">
      <input type="button" value="Play Pre-encoding" onclick="SendCommand('play')"/>
	  <input type="button" value="Preview Encoded" onclick="SendCommand('preview')"/>
	  <input type="button" value="Start Encoding" onclick="SendCommand('transcode')"/>
    </div>
    </body>
    </html>
  </xsl:template>
</xsl:stylesheet>
